# Installation
> `npm install --save @types/react-column-resizer`

# Summary
This package contains type definitions for react-column-resizer (https://github.com/nik-m2/react-column-resizer#readme).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/react-column-resizer.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/react-column-resizer/index.d.ts)
````ts
import { Component } from "react";

declare namespace ColumnResizer {
    interface ResizerProps {
        /**
         * Any custom classes.
         * If set, default width and backgroundColor styles will not be applied.
         *
         * @default ""
         */
        className?: string | undefined;

        /**
         * Set to true if you want to disable resizing
         *
         * @default false
         */
        disabled?: boolean | undefined;

        /**
         * The minimum width for the columns (in pixels)
         *
         * @default 0
         */
        minWidth?: number | undefined;
    }
}

declare class ColumnResizer extends Component<ColumnResizer.ResizerProps> {}

export = ColumnResizer;

````

### Additional Details
 * Last updated: Fri, 18 Oct 2024 20:36:43 GMT
 * Dependencies: [@types/react](https://npmjs.com/package/@types/react)

# Credits
These definitions were written by [ibrahim](https://github.com/ibrahim-13).
